Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: K3B and transcode

  1. #1
    Join Date
    May 2015
    Location
    Italy
    Posts
    371

    Default K3B and transcode

    K3B is telling me this:
    Code:
    K3b uses transcode to rip Video DVDs. Your installation of transcode lacks support for any of the codecs supported by K3b.
    Please make sure it is installed properly.
    I have been looking for other threads about this problem, but only found recommendations to install all codecs from the packman repository.
    I think my codecs are OK, this is my situation:

    Code:
    S | Name                           | Type        | Version            | Arch   | Repository           
    --+--------------------------------+-------------+--------------------+--------+----------------------
    i | transcode                      | package     | 1.2.0-3.1          | x86_64 | Packman Repository
    
    
    S | Name                                                   | Type        | Version                     | Arch   | Repository               
    --+--------------------------------------------------------+-------------+-----------------------------+--------+--------------------------
    i | GStreamer Multimedia Codecs                            | application |                             | noarch | Main Repository (OSS)    
    i | PackageKit-gstreamer-plugin                            | package     | 1.0.11-1.1                  | x86_64 | Main Repository (OSS)    
    i | gstreamer                                              | package     | 1.6.1-61.8                  | x86_64 | Packman Repository       
    i | gstreamer-0_10                                         | package     | 0.10.36-20.17               | x86_64 | Packman Repository       
    i | gstreamer-0_10-fluendo-mp3                             | package     | 21-1.1                      | x86_64 | Main Repository (NON-OSS)
    i | gstreamer-0_10-lang                                    | package     | 0.10.36-20.17               | noarch | Packman Repository       
    i | gstreamer-0_10-plugin-esd                              | package     | 0.10.31-85.35               | x86_64 | Packman Repository       
    i | gstreamer-0_10-plugins-bad                             | package     | 0.10.23-172.37              | x86_64 | Packman Repository       
    i | gstreamer-0_10-plugins-bad-lang                        | package     | 0.10.23-172.37              | noarch | Packman Repository       
    i | gstreamer-0_10-plugins-base                            | package     | 0.10.36-15.7                | x86_64 | Packman Repository       
    i | gstreamer-0_10-plugins-base-lang                       | package     | 0.10.36-15.7                | noarch | Packman Repository       
    i | gstreamer-0_10-plugins-ffmpeg                          | package     | 0.10.13-2000.31             | x86_64 | Packman Repository       
    i | gstreamer-0_10-plugins-fluendo_mpegdemux               | package     | 0.10.71-2.32                | x86_64 | Packman Repository       
    i | gstreamer-0_10-plugins-fluendo_mpegmux                 | package     | 0.10.4-46.27                | x86_64 | Packman Repository
    i | gstreamer-0_10-plugins-good                            | package     | 0.10.31-85.35               | x86_64 | Packman Repository
    i | gstreamer-0_10-plugins-good-extra                      | package     | 0.10.31-85.35               | x86_64 | Packman Repository
    i | gstreamer-0_10-plugins-good-lang                       | package     | 0.10.31-85.35               | noarch | Packman Repository
    i | gstreamer-0_10-plugins-ugly                            | package     | 0.10.19-15.9                | x86_64 | Packman Repository
    i | gstreamer-0_10-plugins-ugly-lang                       | package     | 0.10.19-15.9                | noarch | Packman Repository
    i | gstreamer-fluendo-mp3                                  | package     | 21-1.1                      | x86_64 | Main Repository (NON-OSS)
    i | gstreamer-lang                                         | package     | 1.6.1-61.8                  | noarch | Packman Repository
    i | gstreamer-plugins-bad                                  | package     | 1.6.1-91.1                  | x86_64 | Packman Repository
    i | gstreamer-plugins-base                                 | package     | 1.6.1-55.1                  | x86_64 | Packman Repository
    i | gstreamer-plugins-good                                 | package     | 1.6.1-67.4                  | x86_64 | Packman Repository
    i | gstreamer-plugins-libav                                | package     | 1.6.1-2.1                   | x86_64 | Packman Repository
    i | gstreamer-plugins-qt                                   | package     | 1.2.0-5.1                   | x86_64 | Main Repository (OSS)
    i | gstreamer-plugins-ugly                                 | package     | 1.6.1-54.1                  | x86_64 | Packman Repository
    i | gstreamer-plugins-ugly-orig-addon                      | package     | 1.6.1-54.1                  | x86_64 | Packman Repository
    i | k3b-codecs                                             | package     | 2.0.80+git20151026.2112-9.1 | x86_64 | Packman Repository
    i | libKF5Codecs5                                          | package     | 5.17.0-1.1                  | x86_64 | Main Repository (OSS)
    i | libavcodec52                                           | package     | 0.7.16-5.2                  | x86_64 | Packman Repository
    i | libavcodec56                                           | package     | 2.8.4-45.2                  | x86_64 | Packman Repository
    i | libgstcodecparsers-0_10-23                             | package     | 0.10.23-172.37              | x86_64 | Packman Repository
    i | libgstcodecparsers-1_0-0                               | package     | 1.6.1-91.1                  | x86_64 | Packman Repository
    i | libgstreamer-0_10-0                                    | package     | 0.10.36-20.17               | x86_64 | Packman Repository
    i | libgstreamer-1_0-0                                     | package     | 1.6.1-61.8                  | x86_64 | Packman Repository
    i | libgstreamer-1_0-0-32bit                               | package     | 1.6.1-61.8                  | x86_64 | Packman Repository
    i | libxine2-codecs                                        | package     | 1.2.6-96.2                  | x86_64 | Packman Repository
    i | phonon-backend-gstreamer                               | package     | 4.8.2-2.1                   | x86_64 | Main Repository (OSS)
    i | phonon4qt5-backend-gstreamer                           | package     | 4.8.2-2.1                   | x86_64 | Main Repository (OSS)
    i | vlc-codecs                                             | package     | 2.2.1-127.3                 | x86_64 | Packman Repository
    
    
    
    S | Name                  | Type       | Version    | Arch   | Repository
    --+-----------------------+------------+------------+--------+---------------------
    i | libdvdcss2            | package    | 1.2.13-5.9 | x86_64 | libdvdcss repository
    Any hints to solve this problem?

    Cris
    Desktop: OpenSUSE Tumbleweed (x86_64) - AMD FX-8350 Eight-Core Processor, 16Gb RAM, 120GB Samsung Evo 840 SSD
    Laptop: OpenSUSE Tumbleweed (x86_64) - Thinkpad T440 - Intel i5-4210U, 12Gb RAM, 250GB Samsung EVO 750 SSD

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,854

    Default Re: K3B and transcode

    Nice output, but as you fail to show the statement that generated it, we do not know realy what it means.

    In any case, I have just helped someone that had a codecs problem with the basic solution (as advertised in the stickies of the Multimedia section here and on different other places), thus read here and try it:https://forums.opensuse.org/showthre...19#post2746219
    Henk van Velden

  3. #3
    Join Date
    May 2015
    Location
    Italy
    Posts
    371

    Default Re: K3B and transcode

    Quote Originally Posted by hcvv View Post
    Nice output, but as you fail to show the statement that generated it, we do not know realy what it means.
    Oops. you're right.

    First output: zypper se -s transcode|grep "i |"
    Second output: zypper se -s codec gstreamer|grep "i |"
    Third output: zypper se -s dvdcss|grep "i |"

    Quote Originally Posted by hcvv View Post
    In any case, I have just helped someone that had a codecs problem with the basic solution (as advertised in the stickies of the Multimedia section here and on different other places), thus read here and try it:https://forums.opensuse.org/showthre...19#post2746219
    I see. However, I already used that command to switch my system packages to Wolfie's repo.
    Isn't it enough to have an higher priority on the packman repo?
    Here is my repo list:
    Code:
    cris@PolariSuse:~> zypper lr -p
    #  | Alias                            | Name                       | Enabled | GPG Check | Refresh | Priority
    ---+----------------------------------+----------------------------+---------+-----------+---------+---------
     1 | File_Commander                   | File Commander             | Yes     | ( p) Yes  | Yes     |   99
     2 | Gambas3                          | Gambas3                    | Yes     | (r ) Yes  | Yes     |  100
     3 | Insync                           | Insync                     | Yes     | ( p) Yes  | Yes     |   99
     4 | Wolfie-TW-KDE-FW5                | Wolfie-TW-KDE-FW5          | Yes     | (r ) Yes  | Yes     |   98
     5 | download.opensuse.org-non-oss    | Main Repository (NON-OSS)  | Yes     | (r ) Yes  | Yes     |   99
     6 | download.opensuse.org-oss        | Main Repository (OSS)      | Yes     | (r ) Yes  | Yes     |   99
     7 | download.opensuse.org-tumbleweed | Main Update Repository     | Yes     | (r ) Yes  | Yes     |   99
     8 | google-earth                     | google-earth               | Yes     | (r ) Yes  | Yes     |   99
     9 | google-musicmanager              | google-musicmanager        | Yes     | (r ) Yes  | Yes     |   99
    10 | google-talkplugin                | google-talkplugin          | Yes     | (r ) Yes  | Yes     |   99
    11 | http-ftp.gwdg.de-b92af08f        | Packman Repository         | Yes     | (r ) Yes  | Yes     |   98
    12 | http-opensuse-guide.org-bb959197 | libdvdcss repository       | Yes     | (r ) Yes  | Yes     |   99
    13 | openSUSE-20151118-0              | openSUSE-20151118-0        | No      | ----      | No      |   99
    14 | packman-essentials               | packman-essentials         | No      | ----      | No      |   98
    15 | repo-debug                       | openSUSE-Tumbleweed-Debug  | Yes     | (r ) Yes  | Yes     |   99
    16 | repo-source                      | openSUSE-Tumbleweed-Source | No      | ----      | Yes     |   99
    Cris
    Desktop: OpenSUSE Tumbleweed (x86_64) - AMD FX-8350 Eight-Core Processor, 16Gb RAM, 120GB Samsung Evo 840 SSD
    Laptop: OpenSUSE Tumbleweed (x86_64) - Thinkpad T440 - Intel i5-4210U, 12Gb RAM, 250GB Samsung EVO 750 SSD

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,854

    Default Re: K3B and transcode

    I do not know much about Wolfie's repo. Does it contain pckages that are also in Packman.

    When not do the Packman switch, you need it in any case.

    Priorities are not important, just leave them at 99.
    Henk van Velden

  5. #5
    Join Date
    May 2015
    Location
    Italy
    Posts
    371

    Default Re: K3B and transcode

    Quote Originally Posted by hcvv View Post
    I do not know much about Wolfie's repo. Does it contain pckages that are also in Packman.
    Don't think so. It contains mostly KDE FW5 packages.

    Thank you Henk for your help, btw!

    Cris
    Desktop: OpenSUSE Tumbleweed (x86_64) - AMD FX-8350 Eight-Core Processor, 16Gb RAM, 120GB Samsung Evo 840 SSD
    Laptop: OpenSUSE Tumbleweed (x86_64) - Thinkpad T440 - Intel i5-4210U, 12Gb RAM, 250GB Samsung EVO 750 SSD

  6. #6

    Default Re: K3B and transcode

    May I add that I have the exact same issue in LEAP 42.1? I tried to rip a DVD, installed libdvdcss2, then transcode as requested by k3b, but k3b says that "Your installation of transcode lacks support for any of the codecs supported by k3b." It used to work in earlier openSUSE releases.

    The console output is

    transcode v1.2.0-unknown (C) 2001-2003 Thomas Oestreich, 2003-2010 Transcode Team
    [dvd_reader.c] DVD title 1/14: 2 chapter(s), 1 angle(s), title set 1
    [dvd_reader.c] title playback time: 00:00:10.19 11 sec
    [dvd_reader.c] DVD title 1/14: 2 chapter(s), 1 angle(s), title set 1
    [dvd_reader.c] title playback time: 00:00:10.19 11 sec
    [transcode] V: auto-probing | /dev/sr0 (OK)
    [transcode] V: import format | xiph speex in dvd device data source (module=dvd)
    [transcode] A: auto-probing | /dev/sr0 (OK)
    [transcode] A: import format | AC3 in dvd device data source (module=null)
    [transcode] V: AV demux/sync | (2) initial MPEG sequence / enforce frame rate
    [transcode] V: import frame | 720x480 1.50:1 encoded @ 16:9
    [transcode] V: auto resize | 360x200 1.80:1 error 2.50%
    [transcode] V: zoom | 360x200 1.80:1 (Lanczos3)
    [transcode] V: bits/pixel | 1.043
    [transcode] V: decoding fps,frc | 23.976,1
    [transcode] V: video format | YUV420 (4:2:0) aka I420
    [transcode] A: import format | 0x2000 AC3 [ 0,16,0]
    [transcode] A: export format | 0xffffffff unknown [48000,16,2] 128 kbps
    [transcode] V: export format | (null)
    [transcode] V: encoding fps,frc | 25.000,3
    [transcode] A: bytes per frame | 0 (0.000000)
    [transcode] A: adjustment | 0@1000
    [transcode] H: worker threads | 8 (8 hardware)
    [transcode] H: IA32/AMD64 accel | sse42 sse41 ssse3 sse3 sse2 sse mmx cmove asm
    [transcode] V: video buffer | 10 @ 720x480 [0x30323449]
    [transcode] A: audio buffer | 10 @ 48000x2x16
    [import_null.so] v0.2.0 (2002-01-19) (video) null | (audio) null
    [import_dvd.so] v0.4.1 (2007-07-15) (video) DVD | (audio) MPEG/AC3/PCM
    [tcmoduleregistry.c] empty format name
    [transcode] unable to find the video encoder module and none specified
    [transcode] can't setup export modules
    [transcode] plug-in initialization failed
    QCoreApplication:ostEvent: Unexpected null receiver
    K3bQProcess::QProcess(0x0)

    (repeated 14 times)

    Michael

  7. #7
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: K3B and transcode

    it's not just about codecs it's about their backend ie ffmpeg, and yes wolfi does carry a crippled version of ffmpeg, you have packman essentials not the full packman and it's disabled too, why?
    remove your packman and then add the full packman repo, and then do a distribution upgrade to packman
    Code:
    zypper rr 14
    zypper ar -f http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/ packman
    zypper ref
    zypper dup --from packman

  8. #8
    Join Date
    May 2015
    Location
    Italy
    Posts
    371

    Default Re: K3B and transcode

    Hi I_A!

    Quote Originally Posted by I_A View Post
    it's not just about codecs it's about their backend ie ffmpeg, and yes wolfi does carry a crippled version of ffmpeg, you have packman essentials not the full packman and it's disabled too, why?
    remove your packman and then add the full packman repo, and then do a distribution upgrade to packman
    Code:
    zypper rr 14
    zypper ar -f http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Tumbleweed/ packman
    zypper ref
    zypper dup --from packman
    If you're replying to me (I think so, since mizapf didn't post his repo configuration) then look another time: I do have the full packman repository (it's row 11), that's why the packman essentials repo has been disabled (I could have removed it altogether, but that's not important).

    I am not that versed into zypper usage (I'm quite new to OpenSUSE, having used it only for a few months now) so I don't completely understand this "distribution upgrade" thingy. I did a distribution upgrade to Wolfi's repo because I want to have his KDE FW5 packages instead of those in Tumbleweed's default repo. If I now do a distribution upgrade to packman, what happens with respect to those packages?

    Could it be sufficient to force ffmpeg install from packman? Can I somehow lock it so that it is not overwritten with Wolfi's at the next update?

    Thank you in advance.
    Cris
    Desktop: OpenSUSE Tumbleweed (x86_64) - AMD FX-8350 Eight-Core Processor, 16Gb RAM, 120GB Samsung Evo 840 SSD
    Laptop: OpenSUSE Tumbleweed (x86_64) - Thinkpad T440 - Intel i5-4210U, 12Gb RAM, 250GB Samsung EVO 750 SSD

  9. #9
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: K3B and transcode

    Quote Originally Posted by Cris70 View Post
    Hi I_A!



    If you're replying to me (I think so, since mizapf didn't post his repo configuration) then look another time: I do have the full packman repository (it's row 11), that's why the packman essentials repo has been disabled (I could have removed it altogether, but that's not important).

    I am not that versed into zypper usage (I'm quite new to OpenSUSE, having used it only for a few months now) so I don't completely understand this "distribution upgrade" thingy. I did a distribution upgrade to Wolfi's repo because I want to have his KDE FW5 packages instead of those in Tumbleweed's default repo. If I now do a distribution upgrade to packman, what happens with respect to those packages?

    Could it be sufficient to force ffmpeg install from packman? Can I somehow lock it so that it is not overwritten with Wolfi's at the next update?

    Thank you in advance.
    Cris
    I was replying to the user that had packman disabeled and wanted multimedia, there are too many interdependencies just to select ffmpeg you need a full vendor change with packman, also packman has a multimedia sub-repo that may have packages you need I never understood using packman's sub-repo's get all of packman.

  10. #10
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,498
    Blog Entries
    15

    Default Re: K3B and transcode

    Hi
    Transcode should all be fixed now;
    http://lists.links2linux.de/pipermai...ry/014122.html
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •